### Method

# Clutter Text insert_text

#### Declaration [src]

    void
    clutter_text_insert_text (
      ClutterText* self,
      const gchar* text,
      gssize position
    )

#### Description [src]

Inserts `text` into a `ClutterActor` at the given position.

If `position` is a negative number, the text will be appended at the end of the current contents of the `ClutterText`.

The position is expressed in characters, not in bytes.

#### Parameters

`text`

  Type: `const gchar*`

  The text to be inserted.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`position`

  Type: `gssize`

  The position of the insertion, or -1.